from PyQt5.QtCore import QCoreApplication
import re, json
import bs4
from bs4 import BeautifulSoup as BS
import urllib.parse
import urllib.request
from urllib.request import Request, urlopen
from mimetypes import MimeTypes
from . import paths

######################################### GET URL AND PARAMS #############################################

def get_url_and_params(text):
		
	url = paths.search_tab_url
					
	post_params = {
		'search' : "Поиск",
		'slv' : text,
		'toch' : 1,
		'vid' : 1
	}
			
	return url, post_params


###########################################################################################

def get_anwap_divs(url, post_params):
	PARSER = "html.parser"
	LIST_ITEMS = []
	
	post_args = urllib.parse.urlencode(post_params)
	binary_data = post_args.encode('utf-8')
	fp = urllib.request.urlopen(url, binary_data)
					
					
	soup = BS(fp, PARSER)
	all_divs = soup.find_all("div", attrs={"class":"my_razdel film"})
	
	for item in all_divs:
		name = item.find("div", attrs={"class":"namefilm"}).text.strip()
		#tag_a = item.find("a")
		#href_item = re.search(r'href=".*"', str(tag_a)).group(0).split("\"")[1]
		href_item = item.a.get('href')
		if 'films' in href_item:
			url = paths.search_tab_start_url + href_item
			LIST_ITEMS.append((name, url))
		
	return LIST_ITEMS


###########################################################################################
def parse_sites(text):
	
	LIST_ITEMS = []
	url, post_params = get_url_and_params(text)
	LIST_ITEMS = get_anwap_divs(url, post_params)
	return LIST_ITEMS


############################################################################################


def get_anwap_film_url(url):
	
	PARSER = "html.parser"
	
	req = Request(url, headers={'User-Agent': 'Mozilla/5.0'})
	webpage = urlopen(req).read()
	soup_page = BS(webpage, PARSER)
			
	need_ul = soup_page.find("ul", attrs={"class":"tl2"})
	best_li = need_ul.find_all("li")[-1]
			
	href_item = best_li.a.get('href')
	get_url = paths.search_tab_start_url + href_item
	return get_url
	
	
############################################################################################
