from PyQt5.QtCore import QCoreApplication
import os, datetime


def get_program(search_id):
	
	title = None
	
	get_now = datetime.datetime.now().strftime('%Y%m%d%H%M')
	QCoreApplication.processEvents()
	result = paths.XML_ROOT.findall('.//*[@channel="{0}"]'.format(search_id))
	
	if result:
		for item in result:
			QCoreApplication.processEvents()
			start_attr = item.attrib['start'].split(" ")[0][:12]
			stop_attr = item.attrib['stop'].split(" ")[0][:12]
			if int(get_now) > int(start_attr) and int(get_now) < int(stop_attr):
				QCoreApplication.processEvents()
				title = item.find('title').text
				#print("{0} - {1}".format(start_attr, stop_attr))
	return title


def get_name(name):

	name = name.strip()
	search_id = None
	program_info = None

	QCoreApplication.processEvents()
	channel_search = paths.XML_ROOT.findall('.//*[display-name="{0}"]'.format(name))

	if len(channel_search) > 0:
		QCoreApplication.processEvents()
		search_id = channel_search[0].attrib['id']
		program_info = get_program(search_id)
	
	
	return program_info

#def init_gile(file_path):
	#tree = ET.parse(file_path)
	#root = tree.getroot()
